Summary:		A library for handling different graphics file formats
Name:			libgr
Version:		2.0.13
Release:		19mdk
Copyright:		Freeware
Group:			System/Libraries
BuildRequires:	        libpng-devel libtiff-devel zlib-devel

Source0:		ftp://ftp.ctd.comsat.com/pub/linux/ELF/libgr-2.0.13.tar.bz2
Source1:		jpeg-to-pnm.fpi
Source2:		pnm-to-ps.fpi 
Source3:		bmp-to-pnm.fpi
Source4:		gif-to-pnm.fpi
Source5:		rast-to-pnm.fpi
Source6:		tiff-to-pnm.fpi
Source7:		libgr-scripts.tar.bz2

Patch0:			libgr-config.patch.bz2
Patch1:			libgr-2.0.13-incl.patch.bz2
Patch2:			libgr-2.0.13-glibc.patch.bz2
Patch3:			libgr-2.0.13-pktopbm.patch.bz2
Patch4:			libgr-2.0.13-glibc21.patch.bz2
Patch5:			libgr-2.0.13-bmp.no24.patch.bz2
Patch6:			libgr-2.0.13-bmptoppm.no24.patch.bz2
Patch7:			libgr-2.0.13-pnmtopng.patch.bz2

Buildroot:		%{_tmppath}/libgr-root

%description
The libgr package contains a library of functions which support programs for
handling various graphics file formats, including .pbm (portable bitmaps),
.pgm (portable graymaps), .pnm (portable anymaps), .ppm (portable pixmaps)
and others.

%package devel
Summary:	Development tools for programs which will use the libgr library
Group:		Development/C
Requires:	libgr = %{version}

%description devel
The libgr-devel package contains the header files and static libraries, etc.,
for developing programs which can handle the various graphics file formats
supported by the libgr library.

Install libgr-devel if you want to develop programs for handling the graphics
file formats supported by the libgr library.  You'll also need to have the libgr
package installed.

%package progs
Summary:	Tools for manipulating graphics files in libgr supported formats
Group:		Graphics
Requires:	libgr = %{version}
Obsoletes:	netpbm

%description progs
The libgr-progs package contains a group of scripts for manipulating the
graphics files in formats which are supported by the libgr library. For
example, libgr-progs includes the rasttopnm script, which will convert a
Sun rasterfile into a portable anymap.  Libgr-progs contains many other
scripts for converting from one graphics file format to another.

If you need to use these conversion scripts, you should install libgr-progs.
You'll also need to install the libgr package.

%prep

%setup -q
%patch0 -p1
bzcat %{SOURCE7}|tar x
%patch1 -p1 -b .incl
%patch2 -p1 -b .glibc
%patch3 -p1 -b .pktopbm
%patch4 -p1 -b .glibc21
%patch5 -p1 -b .bmp
%patch6 -p1 -b .bmptoppm
%patch7 -p1 -b .pnmtopng
find . -name install.sh | xargs perl -pi -e 'while (s/(install.*)-(o|g)\s*\S+/$1/) {}'

%build
perl -pi -e "s#-O3#$RPM_OPT_FLAGS#" Make.Rules
SHARED=shared
make  SHARED=$SHARED everything
make -f Makefile.tiff -C pnm progs

# old png/png.h disagrees with /usr/include/png.h
rm png/png.h
make -C png progs

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_includedir
mkdir -p $RPM_BUILD_ROOT%_libdir

make prefix=$RPM_BUILD_ROOT%_prefix install_everything

make -f Makefile.tiff -C pnm prefix=$RPM_BUILD_ROOT%_prefix install_p install_m MAN=%{buildroot}/%{_mandir}
make -C png prefix=$RPM_BUILD_ROOT%_prefix install_p install_m

cd libgr-scripts
sh install.sh $RPM_BUILD_ROOT
cd -

# removed from this package; get from home site(s) or libjpeg/libtiff packages
# ln -sf libjpeg.so.6.0.1 $RPM_BUILD_ROOT/usr/lib/libjpeg.so
# ln -sf libtiff.so.3.4.28 $RPM_BUILD_ROOT/usr/lib/libtiff.so

ln -sf libfbm.so.1.0.0 $RPM_BUILD_ROOT%_libdir/libfbm.so
ln -sf libpbm.so.1.0.0 $RPM_BUILD_ROOT%_libdir/libpbm.so
ln -sf libpgm.so.1.0.0 $RPM_BUILD_ROOT%_libdir/libpgm.so
ln -sf libpnm.so.1.0.0 $RPM_BUILD_ROOT%_libdir/libpnm.so
ln -sf libppm.so.1.0.0 $RPM_BUILD_ROOT%_libdir/libppm.so
ln -sf librle.so.1.0.0 $RPM_BUILD_ROOT%_libdir/librle.so

mkdir -p $RPM_BUILD_ROOT%_libdir/rhs/rhs-printfilters
for filter in $RPM_SOURCE_DIR/*.fpi ; do
    install -m755 $filter \
	$RPM_BUILD_ROOT%_libdir/rhs/rhs-printfilters
done

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_libdir/lib*.so.*

%files devel
%defattr(-,root,root)
%_includedir/*.h
%_libdir/lib*.a
%_libdir/lib*.so
%_mandir/man3/*.3*

%files progs
%defattr(-,root,root)
%_libdir/rhs/rhs-printfilters/jpeg-to-pnm.fpi
%_mandir/man1/*.1*
%_mandir/man5/*.5*
%_bindir/*

%changelog
* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.13-19mdk
- removed build dependency on libgr-devel.

* Mon Sep 18 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0.13-18mdk
- BM, macros & Co
- Use RPM_OPT_FLAGS

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.13-17mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Alexandre Dussart <adussart@mandrakesoft.com> 2.0.13-16mdk
- Patched to don't use deprecated function anymore.  

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.13-15mdk
- BM (nothing more than manpages warly i leave you the cleanup).
- Recompile with last png lib.

* Tue Apr 18 2000 Warly <warly@mandrakesoft.com> 2.0.13-14mdk 
- New group

* Thu Jan 13 2000 Pixel <pixel@mandrakesoft.com>
- fix build as non-root

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add new rh filters.

* Wed Oct 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Recompile the binary with -O2 (#267).

* Wed May 19 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Require libgr=%{version} for libgr-devel and -progs

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Mon Mar 23 1999 Michael Johnson <johnsonm@redhat.com>
- removed old png.h header file that was causing png utils to die
- build png in build instead of install section...

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- patch for 24-bit .BMP files (from sam@campbellsci.co.uk)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 15)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- clean up the spec file
- build for glibc 2.1
- patch to fix pktopbm

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed Jun 10 1998 Jeff Johnson <jbj@redhat.com>
- glibc2 defines random in <stdlib.h> (pbm/pbmplus.h problem #693)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- cleaned up the spec file a little bit
- validated mike's changes :-)

* Wed May 6 1998 Michael Maher <mike@redhat.com>
- added pnm-to-ps.fpi that was missing from previous packages

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- altered %install so that the package installs now even if a previous
  version was not installed on the system 

* Thu Apr 16 1998 Erik Troan <ewt@redhat.com>
- built against libpng 1.0

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>
- changed copyright from "distributable" to "freeware"
- added some missing scripts that existed in netpbm
- added some binaries that weren't getting built
- added patch to build tiff manipulation progs (requires libtiff)

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- obsoletes netpbm now

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>
- mucked config.guess and Make.Rules to build on Alpha/Linux

* Tue Oct 07 1997 Donnie Barnes <djb@redhat.com>
- updated to 2.0.13
- dropped libjpeg and libtiff (those should come from home sources)
- removed glibc patch (new version appears to have it!)
- added i686 as a valid arch type to config.guess

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

